Subject: Re: how to show log for only one branch

From: Liu Yubao <[email-masked]>
Date: Tue, 07 Nov 2006 10:21:25 +0800

Junio C Hamano wrote:
> Liu Yubao <[email-masked]> writes:
> 
>> ... For example, I want to know what happened in your
>> git's "next" branch, I hope to get logs like this:
>>     Merge branch 'jc/pickaxe' into next
>>     Merge branch 'master' into next
>>     Merge branch 'js/modfix' into next
>>     ...
>>     some good work
>>     ...
>>     Merge branch ....
>>
>> I just want to *outline* what happened in "next" branch, if I am interested
>> in what have been merged from 'jc/pickaxe' I can follow the merge point again
>> or use something like "git log --follow-all-parents".
> 
> My "next" is a bad example of this, because it is an integration
> branch and never gets its own development.  It is also a bad
> example because I can answer that question with this command
> line:
> 
> 	git log --grep='^Merge .* into next$' next
> 
> and while it is a perfectly valid answer, I know it would leave
> you feeling somewhat cheated.
> 
smart trick, but if the logs aren't consistent enough it's hard to
grep them out.